*=====================================================================================*
*                                  config.do                                          *
*=====================================================================================*

*-------------------------------------------------------------------------------------*
* Buyukkececi and Leopold 2020, replication files                                           		  *
* last update: 18 September 2020                                                             *
* data: BIOSIB 1984-2016, version 33, release 2018                                 *
*-------------------------------------------------------------------------------------*

*--------------------------------- specify your path here! ---------------------------*

global workingDir 	"C:/YOUR_PATH/"

*-------------------------------------------------------------------------------------*

global data			"${workingDir}/00_data"		// SOEP long-format files
global dofiles 		"${workingDir}/01_dofiles"	// dofiles
global posted		"${workingDir}/02_posted"	// prepared data ready for analysis
global tables		"${workingDir}/03_tables" 	// tables
global graphs 		"${workingDir}/04_graphs" 	// graphs

*--------------------------------- install ado files ---------------------------------*

ssc install coefplot, replace

*-------------------------------------------------------------------------------------*
*-------------------------------------------------------------------------------------*
