foreach i of num 1/23 {
merge m:1 persnr using "$data\cohabyearly`i'", keep(1 3) nogen keepusing(cohabtype`i' cohabagebegin`i' cohabegeend`i')
}
gen cohabyearly=cohabtype1 if age>=cohabagebegin1 & age<=cohabegeend1 & cohabagebegin1!=. & cohabegeend1!=. & cohabagebegin1>-1 & cohabegeend1>-1
foreach i of num 2/23 {
replace cohabyearly=cohabtype`i' age>=cohabagebegin`i' & age<=cohabegeend`i' & cohabagebegin`i'!=. & cohabegeend`i'!=. & cohabagebegin`i'>-1 & cohabegeend`i'>-1
}
drop cohabtype1-cohabegeend23

gen marryyearly=marryspelltyp1 if age>=marryagebegin1 & age<=marryageend1 & marryagebegin1!=. & marryageend1!=. & marryagebegin1>=0 & marryageend1>0
foreach i of num 2/13 {
replace marryyearly=marryspelltyp`i' if age>=marryagebegin`i' & age<=marryageend`i' & marryagebegin`i'!=. & marryageend`i'!=. & marryagebegin`i'>=0 & marryageend`i'>0
}

foreach i of num 1/13 {
drop if marryagebegin`i'!=. & marryagebegin`i'<0 | marryageend`i'!=. & marryageend`i'<0
}

drop if marryyearly==.
drop marryspelltyp1-marryageend12

gen marsta=0 if marryyearly==1 | marryyearly==3 | marryyearly==4 | marryyearly==5 | marryyearly==6
replace marsta=1 if marryyearly==2 | marryyearly==7

gen partner1=0 if  cohabmonthly==5 | cohabmonthly==6 | cohabmonthly==4
replace partner1=1 if cohabmonthly==1 | cohabmonthly==2  | cohabmonthly==8
replace partner1=2 if cohabmonthly==3 |cohabmonthly==7

gen partner2=0 if  cohabyearly==5 | cohabyearly==6 | cohabyearly==4
replace partner2=1 if cohabyearly==1 | cohabyearly==2  | cohabyearly==8
replace partner2=2 if cohabyearly==3 |cohabyearly==7

replace partner2=partner1 if partner2==.
drop partner1
replace marsta=0 if partner2==0 & marsta==.
replace marsta=1 if partner2==1 & marsta==.

gen marsta2=partner2
replace marsta2=0 if marsta==0 & partner2==.
replace marsta2=1 if marsta==1